Subject: Re: [bug#42573] [PATCH 2/2] gnu: python-clikit: Update to 0.6.2.

From: Oleg Pykhalov <[email-masked]>
Date: Thu, 30 Jul 2020 21:01:37 +0300

Hi,

Tanguy Le Carrour <[email-masked]> writes:

>>Could you take a look on a fetching source with ‘git-fetch’ and enabling
>>tests suite?
>
> Actually, I can't! :-(
>
> `crashtest` is a project managed with Poetry. In order to build and test it,
> I need `poetry`. But `poetry` depends on `clikit` that depends on… `crashtest`!
>
> I guess (I hope) that more and more projects will be managed with Poetry,
> so we'll run into this problem again.
>
> There's actually an other problem with Poetry: `poetry` is managed with Poetry!
> I have no idea how to handle this! Is this a scenario where we have to have
> a `poetry-0` that is a "trusted" binary that we use to "properly" build
> the "poetry chain"?

OK, thanks for investigation.  I pushed the changes to master.

Oleg.